Bug 1748661 (CVE-2019-11735) - CVE-2019-11735 Mozilla: Memory safety bugs fixed in Firefox 69 and Firefox ESR 68.1
Summary: CVE-2019-11735 Mozilla: Memory safety bugs fixed in Firefox 69 and Firefox ES...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11735
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1745831 1745832 1748670
Blocks: 1745825
TreeView+ depends on / blocked
 
Reported: 2019-09-04 00:48 UTC by Doran Moppert
Modified: 2019-09-06 00:50 UTC (History)
3 users (show)

Fixed In Version: firefox 68.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-05 01:07:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2663 None None None 2019-09-04 20:12:19 UTC

Description Doran Moppert 2019-09-04 00:48:16 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 68 and Firefox ESR 68. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-26/#CVE-2019-11735

Comment 1 Doran Moppert 2019-09-04 00:48:19 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Mikhail Gavrilov, Tyson Smith, Marcia Knous, Tom Ritter, Philipp, Bob Owens

Comment 3 errata-xmlrpc 2019-09-04 20:12:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2663 https://access.redhat.com/errata/RHSA-2019:2663

Comment 4 Product Security DevOps Team 2019-09-05 01:07:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11735


Note You need to log in before you can comment on or make changes to this bug.